#include "lkl.h"

int main(int argc, char *argv[])
{
  char opt, *outfile = 0, *km_file;
  int log = 0;
  extern char *optarg;
  
  if(getuid() || getgid()){
    printf("Have to be root to perform a iopl()!\n");
    exit(1);
  }
  if(argc == 1){
    usage();
    exit(1);
  }
  while((opt = getopt(argc, argv, "o:k:hl")) != -1)
    switch(opt){
       case 'l':
	 log = 1;
         break;
       case 'o':
         outfile = optarg;
         break;
       case 'k':
         km_file = optarg;
	 break;
       case 'h':
	 usage();
	 exit(0);
       default:
         usage();
         exit(1);
    }

  if(log){
    printf("\nStarted to log 0x60. Keymap is %s. The logfile is %s\n", km_file, outfile);
    def_keymap(km_file);
    start_log(outfile);
  }

  return 0;
}
